SUSE SLES12セキュリティ更新プログラム:MozillaFirefox(SUSE-SU-2020:3903-1)

high Nessus プラグイン ID 144575

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

MozillaFirefox用のこの更新プログラムでは、以下の問題が修正されます。セキュリティ上の問題が修正されました:

Firefox延長サポート版78.6.0 ESR

- 修正済み:さまざまな安定性、機能、およびセキュリティの修正 MFSA 2020-55(bsc#1180039)

- CVE-2020-16042(bmo#1679003)BigIntでの操作により、初期化されていないメモリが漏洩する可能性がありました

- CVE-2020-26971(bmo#1663466)WebGLでのヒープバッファオーバーフロー

- CVE-2020-26973(bmo#1680084)CSSサニタイザーが不適切なサニタイズを実施

- CVE-2020-26974(bmo#1681022)StyleGenericFlexBasisの不適切なキャストにより、ヒープのuse-after-freeが発生しました

- CVE-2020-26978(bmo#1677047)内部ネットワークホストが、悪意のあるWebページによってプローブされている可能性があります

- CVE-2020-35111(bmo#1657916)proxy.onRequest APIがビューソースURLをキャッチしませんでした

- CVE-2020-35112(bmo#1661365)拡張のないダウンロードを開くと、代わりに実行可能ファイルが不注意で起動される可能性がありました

- CVE-2020-35113(bmo#1664831、bmo#1673589)Firefox 84とFirefox ESR 78.6で修正されたメモリ安全性に関するバグ

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE OpenStack Cloud Crowbar 9:

zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-9-2020-3903=1

SUSE OpenStack Cloud Crowbar 8:

zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-8-2020-3903=1

SUSE OpenStack Cloud 9:

zypper in -t patch SUSE-OpenStack-Cloud-9-2020-3903=1

SUSE OpenStack Cloud 8:

zypper in -t patch SUSE-OpenStack-Cloud-8-2020-3903=1

SUSE OpenStack Cloud 7:

zypper in -t patch SUSE-OpenStack-Cloud-7-2020-3903=1

SUSE Linux Enterprise Software Development Kit 12-SP5:

zypper in -t patch SUSE-SLE-SDK-12-SP5-2020-3903=1

SUSE Linux Enterprise Server for SAP 12-SP4:

zypper in -t patch SUSE-SLE-SAP-12-SP4-2020-3903=1

SUSE Linux Enterprise Server for SAP 12-SP3:

zypper in -t patch SUSE-SLE-SAP-12-SP3-2020-3903=1

SUSE Linux Enterprise Server for SAP 12-SP2:

zypper in -t patch SUSE-SLE-SAP-12-SP2-2020-3903=1

SUSE Linux Enterprise Server 12-SP5:

zypper in -t patch SUSE-SLE-SERVER-12-SP5-2020-3903=1

SUSE Linux Enterprise Server 12-SP4-LTSS:

zypper in -t patch SUSE-SLE-SERVER-12-SP4-LTSS-2020-3903=1

SUSE Linux Enterprise Server 12-SP3-LTSS:

zypper in -t patch SUSE-SLE-SERVER-12-SP3-2020-3903=1

SUSE Linux Enterprise Server 12-SP3-BCL:

zypper in -t patch SUSE-SLE-SERVER-12-SP3-BCL-2020-3903=1

SUSE Linux Enterprise Server 12-SP2-LTSS:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-2020-3903=1

SUSE Linux Enterprise Server 12-SP2-BCL:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2020-3903=1

SUSE Enterprise Storage 5:

zypper in -t patch SUSE-Storage-5-2020-3903=1

HPE Helion Openstack 8:

zypper in -t patch HPE-Helion-OpenStack-8-2020-3903=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1180039

https://www.suse.com/security/cve/CVE-2020-16042/

https://www.suse.com/security/cve/CVE-2020-26971/

https://www.suse.com/security/cve/CVE-2020-26973/

https://www.suse.com/security/cve/CVE-2020-26974/

https://www.suse.com/security/cve/CVE-2020-26978/

https://www.suse.com/security/cve/CVE-2020-35111/

https://www.suse.com/security/cve/CVE-2020-35112/

https://www.suse.com/security/cve/CVE-2020-35113/

http://www.nessus.org/u?0ca01f8c

プラグインの詳細

深刻度: High

ID: 144575

ファイル名: suse_SU-2020-3903-1.nasl

バージョン: 1.5

タイプ: local

エージェント: unix

公開日: 2020/12/23

更新日: 2021/1/15

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:MozillaFirefox, p-cpe:/a:novell:suse_linux:MozillaFirefox-debuginfo, p-cpe:/a:novell:suse_linux:MozillaFirefox-debugsource, p-cpe:/a:novell:suse_linux:MozillaFirefox-devel, p-cpe:/a:novell:suse_linux:MozillaFirefox-translations-common, cpe:/o:novell:suse_linux:12

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2020/12/21

脆弱性公開日: 2021/1/7

参照情報

CVE: CVE-2020-16042, CVE-2020-26971, CVE-2020-26973, CVE-2020-26974, CVE-2020-26978, CVE-2020-35111, CVE-2020-35112, CVE-2020-35113

IAVA: 2020-A-0575-S